This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307415 - curlpp: FTBFS in rawhide
curlpp: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curlpp (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Veeti Paananen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:12 EST by Fedora Release Engineering
Modified: 2017-06-17 18:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-17 18:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (105.64 KB, text/plain)
2016-02-13 16:12 EST, Fedora Release Engineering
no flags Details
root.log (85.20 KB, text/plain)
2016-02-13 16:12 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 16:12 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:12:10 EST
Your package curlpp failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12810671

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:12:12 EST
Created attachment 1124315 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:12:14 EST
Created attachment 1124316 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:12:16 EST
Created attachment 1124317 [details]
state.log
Comment 4 Ankur Sinha (FranciscoD) 2016-02-15 14:07:39 EST
Ack. Working on it.
Comment 5 Jan Kurik 2016-02-24 09:38:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Ankur Sinha (FranciscoD) 2016-02-29 08:57:41 EST
Reported upstream. Waiting for a fix and having a go myself too.

https://github.com/jpbarrette/curlpp/issues/13
Comment 7 cronnosli 2016-10-08 16:39:22 EDT
The issue was closed as the code was fixed
Comment 8 Ankur Sinha (FranciscoD) 2016-10-09 07:44:42 EDT
Yea, I noticed. Thanks! I'll see if I can update to the latest git commit this week.
Comment 9 Jonathan Wakely 2017-01-27 13:18:20 EST
Can we just add --disable-ewarning to the configure command to get it building again, until the new version arrives in rawhide?
Comment 10 Jonathan Wakely 2017-01-27 13:28:05 EST
Successful scratch build with that option:
http://koji.fedoraproject.org/koji/taskinfo?taskID=17441904
Comment 11 Upstream Release Monitoring 2017-06-17 18:21:10 EDT
filiperosset's curlpp-0.8.1-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=909321

Note You need to log in before you can comment on or make changes to this bug.